package com.displaynone.acss.components.main.utils

import com.displaynone.acss.config.Constants.serverUrl
import com.displaynone.acss.config.Network
import io.ktor.client.request.get
import io.ktor.client.request.headers
import io.ktor.http.HttpHeaders
import io.ktor.http.HttpStatusCode
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.withContext

suspend fun pingServer(token: String): Result<Boolean> = withContext(Dispatchers.IO) {
    runCatching {
        val result = Network.client.get("$serverUrl/api/ping") {
            headers {
                append(HttpHeaders.Authorization, "Bearer $token")
            }
        }

        result.status == HttpStatusCode.OK
    }
}